import java.io.IOException;
import java.util.Vector;

/*
 * Testar essa classe com e sem a presena do arquivo teste.txt 
 * na raiz desse projeto
 */
public class DadosArquivo {

	static String nomeArquivo = "";
	static Vector<String> vetConteudo = null;

	/*
	 * Na construo dessa classe  passado o nome do arquivo que iremos ler
	 */
	public DadosArquivo(String _nomeArquivo) {
		nomeArquivo = _nomeArquivo;
		
	}
	
	/* mtodo main */
	public static void main(String[] args) {
		DadosArquivo d = new DadosArquivo("teste2.txt");
		
		/* se o mtodo AbreArquivo.openFile for chamado existem duas opes:
		 * + tratar a excecao com um try catch (que eh oq est sendo feito nesse caso)
		 * + na assinatura do arquivo declarar que ele levanta a excecao (utilizando a clausula throws)
		 */
		try{
			vetConteudo = AbreArquivo.openFile(nomeArquivo);
			for(String a : vetConteudo){
				System.out.println(a);
			}
		}catch(IOException ioe){
			ioe.printStackTrace();
			System.out.println("nome de arquivo invalido, tente novamente !");
		}finally{
			System.out.println("executou o finally....");
		}
		
		
	}
}
